<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Checkout;

use Gls\GlsPoland\PrestaShop\ModuleRepository;
use Symfony\Component\HttpFoundation\Request;

interface ModuleCheckoutInterface extends CheckoutInterface
{
    public static function getModuleName(): string;

    public static function supports(\FrontControllerCore $controller, ModuleRepository $moduleRepository, ?Request $request = null): bool;
}
